Subject: RE: bash prompt problem - some more observations
From: "Robinson, Mark" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 9 Dec 2005 16:00:08 +1100

Eric

I have been using a custom bash compiled without multibyte characters
for a couple of weeks now without problems.  I started with the Cygwin
src package version 3.00.16(12)-release (i686-pc-cygwin) and applied the
following patch:

-------------------8<----------------------------
--- ./bash-3.0-12.sh.save       2005-11-25 09:21:16.897833600 +1100
+++ ./bash-3.0-12.sh    2005-11-25 09:21:20.573118400 +1100
@@ -215,7 +215,7 @@
   --mandir='${prefix}/share/man' --infodir='${prefix}/share/info' \
   --libexecdir='${sbindir}' --localstatedir="${localstatedir}" \
   --datadir='${prefix}/share' --without-libiconv-prefix \
-  --without-libintl-prefix --with-installed-readline )
+  --without-libintl-prefix --disable-multibyte )
 }
 reconf() {
   (cd ${topdir} && \
------------------>8----------------------------

cheers
mark
--
Mark Robinson   
Consultant
Vignette Professional Services 
+61 2 9455 5317

In theory there is no difference between theory and practice. In
practice there is. - Yogi Berra
--
Vignette's software and expertise help organizations harness the power
of information and the Web to deliver measurable improvements in
business efficiency. Vignette is the efficiency expert. Visit
http://www.vignette.com to learn more.

> -----Original Message-----
> From: Eric Blake [mailto:[email-masked]] 
> Sent: Tuesday, 23 August 2005 9:47 PM
> To: Robinson, Mark
> Cc: [email-masked]
> Subject: Re: bash prompt problem - some more observations
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> According to Robinson, Mark on 8/23/2005 1:45 AM:
> > howdy
> > 
> > so I downloaded the cygwin bash source and built it without 
> multibyte
> > character support and guess what?  no bug.
> 
> So does cygwin need to support multibyte characters in bash, 
> or should I
> make this configuration the default?  Being a native English speaker
> myself, I don't have much cause to try to use multibyte 
> character prompts
> or command output in my normal usage to know if cygwin supports it.
> 
> - --
> Life is short - so eat dessert first!
> 
> Eric Blake             [email-masked]
> volunteer cygwin bash maintainer
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFDCwzG84KuGfSFAYARAmr8AJ4tVCjBOBAjPwmwVo+jvT+/2Z/twgCaA2P9
> 8WRw6v2MUXd78Fcv2RHy63Y=
> =3F9u
> -----END PGP SIGNATURE-----
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/